<?php

namespace Drupal\entity_information;

use Drupal\Core\Entity\EntityTypeManagerInterface;

/**
 * Provides common methods and injects services for core selection handlers.
 */
trait EntityInformationHelperTrait {

  /**
   * The entity type manager service.
   *
   * @var \Drupal\Core\Entity\EntityTypeManagerInterface
   */
  protected $entityTypeManager;

  /**
   * Wraps the entity type manager.
   *
   * @return \Drupal\Core\Entity\EntityTypeManagerInterface
   *   The module handler.
   */
  public function entityTypeManager(): EntityTypeManagerInterface {
    if (!isset($this->entityTypeManager)) {
      $this->entityTypeManager = \Drupal::service('entity_type.manager');
    }
    return $this->entityTypeManager;
  }

}
